Tag Archives: .NET

VS2010 Tips #1: .NET Framework 3.5 SP1 is required for Multi-targeting in Visual Studio 2010

Multi-targeting feature is one of Visual Studio 2010 goodies. It was firstly introduced in Visual Studio 2008 which able to do multi-targeting for .NET 3.5, .NET 3.0, and .NET 2.0.

In Visual Studio 2010, you will be able to choose between .NET 4, .NET 3.5, .NET 3.0, and .NET 2.0.

.NET Framework 4 is what Visual studio 2010 brought as part of its requirement/prerequisites.

The case is when some of you might want to install Visual Studio 2010 in a fresh box of Windows. You may find that only .NET Framework 4 is available in the dropdown of framework selection of Visual Studio 2010 (above) after the installation.

Don’t worry, this is something you can fix easily. The solution is by installing .NET Framework 3.5 SP1. That’s it!

This blog post of Visual Web Developer Team can be used for further reference.

Enjoy your days with Visual Studio 2010! 🙂